%define		module	dom_toml
Summary:	Dom’s tools for Tom’s Obvious, Minimal Language
Name:		python3-%{module}
Version:	2.0.1
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.debian.net/dom-toml/dom_toml-%{version}.tar.gz
# Source0-md5:	c344abe4af64faf71e651843cf9a6219
URL:		https://pypi.org/project/dom-toml/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dom's tools for Tom's Obvious, Minimal Language.

%prep
%setup -q -n dom_toml-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Sat Apr 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dom_toml.git;a=log;h=master

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 33089b1
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ab8472
- Initial

